package com.bankaudit.rest.process.service;

import com.bankaudit.dto.process.AuditGradingDto;
import com.bankaudit.model.MaintGradingParamScoreMatrix;

public interface AuditGradingService   { 
	
   String initiateAuditGrading(Integer legalEntityCode, String auditTypeCode, String auditId, String unitId, String userId, String role, String userUnitType); 
   
   AuditGradingDto getMyAuditGrading(Integer legalEntityCode, String auditTypeCode, String auditId, String userUnitType);

   String saveAuditGrading(AuditGradingDto auditGradingDto);
   
   MaintGradingParamScoreMatrix getGradingParamScoreMatrixValue(Integer legalEntityCode, String auditTypeCode, Double score);
   
   AuditGradingDto getMyAuditGradingCompliance(Integer legalEntityCode, String auditTypeCode, String auditId, String letterCode);
   
   String saveAuditGradingCompliance(AuditGradingDto auditGradingDto);
}
